using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace QueueSys
{
    public partial class frmEmployeeView : Form
    {
        public frmEmployeeView()
        {
            InitializeComponent();
        }

        /* Execute when program / main form loads.
         * Pop up the customer view screen to drag onto second monitor */
        private void frmEmployeeView_Load(object sender, EventArgs e)
        {
            Form frm = new frmCustomerView();
            frm.Show();
        }

        /* Enable options menu. */
        private void optionsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form frm = new frmOptions();
            frm.Show();
            frm.Activate();
        }

        // Exits the application.
        private void exitAltF4ToolStripMenuItem_Click(object sender, EventArgs e) => Application.Exit();

        private void generateReportToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("To-do: Generate excel report from SQL Database.");
        }
    }
}
